From 5e82d5a44cb95ff4e326f64ff57b1b36b243d108 Mon Sep 17 00:00:00 2001
From: isaacs <i@izs.me>
Date: Mon, 8 Mar 2010 15:09:38 -0800
Subject: [PATCH 7/7] Deprecate process.mixin, printing a warning to stderr and adding a TODO comment to remove it.

---
 src/node.js |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

diff --git a/src/node.js b/src/node.js
index 4fcd67d..351fac1 100644
--- a/src/node.js
+++ b/src/node.js
@@ -99,7 +99,15 @@ process.assert = function (x, msg) {
 // Dual licensed under the MIT and GPL licenses.
 // http://docs.jquery.com/License
 // Modified for node.js (formely for copying properties correctly)
+// v0.1.32 Marked for deprecation.
+// TODO: Remove this asap (v0.1.33 or later)
 process.mixin = function() {
+  // since this function recurses, warning repeatedly would be a bit much.
+  if (arguments.callee.caller !== arguments.callee) {
+    process.stdio.writeError(
+      "process.mixin is deprecated and will go away soon. Please update your code\n");
+  }
+
   // copy reference to target object
   var target = arguments[0] || {}, i = 1, length = arguments.length, deep = false, source;
 
-- 
1.6.6.1

